classification
Title: Demo/loop.c passing "char *" instead of "wchar_t *"
Type: crash Stage:
Components: Versions: Python 3.0
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: loewis Nosy List: benjamin.peterson, georg.brandl, jackdied, loewis, vstinner, zanella
Priority: normal Keywords: patch

Created on 2008-06-25 03:25 by zanella, last changed 2010-12-30 22:34 by georg.brandl. This issue is now closed.

Files
File name Uploaded Description Edit
loop_c.diff zanella, 2008-06-25 03:25 review
Messages (5)
msg68715 - (view) Author: Rafael Zanella (zanella) Date: 2008-06-25 03:25
The Demo/loop.c passes a char pointer (argv[0]) while 
Py_SetProgramName() now expects a wchar_t pointer.

I've attached a patch, the solution on the patch was borrowed,
ok stolen, from Python/frozenmain.c
msg68726 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2008-06-25 12:57
Martin, you made the changes. Could you look at this, please?
msg98586 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2010-01-31 01:35
loop demo is still broken in py3k:
 * try to link to libpython3.0 (wrong python version)
 * there is still the argv[0] type issue
msg99794 - (view) Author: Jack Diederich (jackdied) * (Python committer) Date: 2010-02-22 17:34
If this is important it should be upgraded to a real test and the Demo/ version removed.
msg124939 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2010-12-30 22:34
Demo/embed has now been removed.
History
Date User Action Args
2010-12-30 22:34:39georg.brandlsetstatus: open -> closed

nosy: + georg.brandl
messages: + msg124939

resolution: out of date
2010-02-22 17:34:18jackdiedsetnosy: + jackdied
messages: + msg99794
2010-01-31 01:35:29vstinnersetnosy: + vstinner
messages: + msg98586
2008-06-25 12:57:19benjamin.petersonsetassignee: loewis
messages: + msg68726
nosy: + loewis, benjamin.peterson
2008-06-25 03:25:25zanellacreate